Bug 232800 - Frysk testsuite triggers 'invalid opcode: 0000'
Frysk testsuite triggers 'invalid opcode: 0000'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-17 21:38 EDT by Kris Van Hees
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.20-1.2948.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 14:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kris Van Hees 2007-03-17 21:38:08 EDT
Description of problem:

Running the Frysk testsuite triggered the following verbatim kernel messages. 
Mote that this is *not* truncated output.  There really were no additional
messages.  It looks suspiciously like a corrupt kernel oops, especially since
the call trace is empty.

invalid opcode: 0000 [#1]
SMP
last sysfs file: /devices/system/cpu/cpu0/cpufreq/scaling_setspeed
Modules linked in: autofs4 hidp rfcomm l2cap bluetooth sunrpc ipv6 acpi_cpufreq
freq_table dm_mirror dm_multipath dm_mod video sbs i2c_ec i2c_core dock button b
attery ac lp floppy joydev sg snd_hda_intel snd_hda_codec snd_seq_dummy snd_seq_
oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm
snd_timer snd pcspkr soundcore ide_cd snd_page_alloc parport_pc iTCO_wdt tg3 iTC
O_vendor_support parport serio_raw cdrom ata_piix libata sd_mod scsi_mod ext3 jb
d ehci_hcd ohci_hcd uhci_hcd
CPU:    0
EIP:    0060:[<f7e79381>]    Not tainted VLI
EFLAGS: 00010207   (2.6.20-1.2925.fc6 #1)
EIP is at 0xf7e79381
eax: 71552593   ebx: f755a080   ecx: f7e79280   edx: f7561d40
esi: c2402380   edi: 00000005   ebp: 00000000   esp: c0787b40
ds: 007b   es: 007b   ss: 0068
Process ptrace_after_ex (pid: 9679, ti=c0787000 task=c2528c70 task.ti=eafbb000)
Stack: 00000005 00000000 00000000 00000000 00000000 00000000 00000000 00000000
       00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
       00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Call Trace:
 =======================
Code: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 40 <8e> ff f7 40 13 e6 f7 00
 00 00 00 00 00 00 00 00 00 00 00 00 00
EIP: [<f7e79381>] 0xf7e79381 SS:ESP 0068:c0787b40

Version-Release number of selected component (if applicable):

kernel 2.6.20-1.2925.fc6

How reproducible:

Somewhat intermittent (mostly a case of usually the testsuite run triggering
some kernel bugs or hang - just not always this one)

Steps to Reproduce:
1. Obtain frysk source tree (CVS HEAD)
2. mkdir build
3. cd build
4. ../frysk/autogen.sh
5. make
6. make check
  
Actual results:

Kernel messages shown above.

Expected results:

No kernel messages.

Additional info:

Executing the Frysk testsuite on this kernel on i386 has been rather erratic,
with this being one of the possible outcomes.  Sometimes the 'make check'
completes without any kernel errors getting triggered, but I'd say that I have
experienced about 40-50% probability for some kernel problem getting signaled as
result of the testsuite execution.
Comment 1 Roland McGrath 2007-03-22 04:04:42 EDT
Please try 2.6.20-1.2933.fc6 from Fedora updates-testing and tell me if you
still see problems.  That includes fixes for several problems vs 1.2925.fc6; I
do have some further fixes to be included in a forthcoming update beyond what's
in 1.2933, but it is less likely that you will hit those failure modes. 
Comment 2 Kris Van Hees 2007-05-30 13:27:43 EDT
Running with 2.6.20-1.2948.fc6 we no longer see this failure take place.

Note You need to log in before you can comment on or make changes to this bug.